from django.conf.urls import url
from . import views

urlpatterns = [
    url(r'^home/$', views.Home.as_view(), name='GeoffreyHome'),
    url(r'^player/$', views.PlayerList.as_view(), name='GeoffreyPlayers'),
    url(r'^player/(?P<id>[0-9]{1,9})/$', views.PlayerInfo.as_view(), name='GeoffreyPlayerInfo'),
    url(r'^shops/$', views.ShopList.as_view(), name='GeoffreyShops'),
    url(r'^shops/(?P<id>[0-9]{1,9})/$', views.ShopInfo.as_view(), name='GeoffreyShopInfo'),
    url(r'^bases/$', views.BaseList.as_view(), name='GeoffreyBases'),
    url(r'^bases/(?P<id>[0-9]{1,9})/$', views.BaseInfo.as_view(), name='GeoffreyBaseInfo'),
    url(r'^towns/$', views.TownList.as_view(), name='GeoffreyTowns'),
    url(r'^towns/(?P<id>[0-9]{1,9})/$', views.TownInfo.as_view(), name='GeoffreyTownInfo'),
    url(r'^items/$', views.ItemListingList.as_view(), name='GeoffreyItems'),
    url(r'^search/$', views.SearchList.as_view(), name='GeoffreySearch'),
]

